#!/bin/bash
. /etc/config.d/openvpn2

(
echo "# easy-rsa parameter settings"
echo 'export EASY_RSA="`pwd`"'
echo 'export KEY_CONFIG="$EASY_RSA/openssl.cnf"'
echo 'export KEY_DIR="$EASY_RSA/keys"'
echo 'export KEY_SIZE=2048'
echo 'export CA_EXPIRE=3650'
echo 'export KEY_EXPIRE=3650'
echo 'export KEY_COUNTRY="'$OPENVPN2_COUNTRY'"'
echo 'export KEY_PROVINCE="'$OPENVPN2_PROVINCE'"'
echo 'export KEY_CITY="'$OPENVPN2_CITY'"'
echo 'export KEY_ORG="'$OPENVPN2_ORG'"'
echo 'export KEY_EMAIL="'$OPENVPN2_EMAIL'"'
echo 'export KEY_HASH="'$OPENVPN2_SERVER_CERT_HASH'"'
)> /usr/local/openvpn/vars
