#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/OVPN_CERT_CUI.sh
#
# Creation:     10.10.2017 OJae
# Last update:  10.10.2017 OJae
#
# Copyright (c) Olaf Jaehrling eisfair[at]ojaehrling[dot]de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="sha256,sha384,sha512"
    ece_select_list_dlg "$win" "Select hash mode" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0

