#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/OVPNCIPHER_CUI.sh
#
# Creation:     15.08.2016 OJae
# Last update:  15.08.2016 OJae
#
# Copyright (c) Olaf Jaehrling eisfair[at]ojaehrling[dot]de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="BF-CBC,DES-CBC,RC2-CBC,DES-EDE-CBC,DES-EDE3-CBC,DESX-CBC,RC2-40-CBC,CAST5-CBC,RC2-64-CBC,AES-128-CBC,AES-192-CBC,AES-256-CBC,CAMELLIA-128-CBC,CAMELLIA-192-CBC,CAMELLIA-256-CBC,SEED-CBC"

    ece_select_list_dlg "$win" "Select fourcc mode" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0

